;;; Change Height of user selected Texts similar to Height of selected "example" text
;;; Based on Lee Mak Routine http://www.cadtutor.net/forum/showthread.php?97314-Lisp-to-change-text-height
;;; Modified by Igal Averbuh 2017 (added option to use height of selected "example" text)

(defun c:ct (/ ht ss)
(vl-load-com)

(setq ent (entget (car (entsel "\nClick on Text with needful height:"))))
(setq htt (cdr (assoc 40 ent)))

(if (and (setq ht (cdr (assoc 40 ent)))
(princ "\nSelect Texts to change it Height:")
(setq ss (ssget '((0 . "*TEXT")))))
(foreach x (mapcar 'entget
(vl-remove-if 'listp
(mapcar 'cadr (ssnamex ss))))
(entmod (subst (cons 40 ht) (assoc 40 x) x))))
(princ))
(c:ct)

Advertisements